Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin
Interface RemoteConfigService

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigService

extends java.rmi.Remote

Method Summary
`RemoteConfigurationAdhocUpload` | `getConfigurationAdhocUpload()` get configuration for Adhoc upload
`RemoteConfigurationAdvanced` | `getConfigurationAdvanced()` get Advanced Configurationthrows RemoteException;
`RemoteConfigurationCache` | `getConfigurationCache()` get cache Configurationthrows RemoteException;
`RemoteConfigurationCluster` | `getConfigurationCluster()` get Configuration for clusterthrows RemoteException;
`RemoteConfigurationFax` | `getConfigurationFax()` get configuration for fax
`RemoteConfigurationLDAP` | `getConfigurationLDAP()` get LDAP state Configurationthrows RemoteException;
`RemoteConfigurationLDAPServer` | `getConfigurationLDAPServer()` get LDAP Server Configurationthrows RemoteException;
`RemoteConfigurationLog` | `getConfigurationLog()` get logo Configurationthrows RemoteException;
`RemoteConfigurationMail` | `getConfigurationMail()` get mail Configuration throws RemoteException;
`RemoteConfigurationPerformance` | `getConfigurationPerformance()` get Performance Configurationthrows RemoteException;
`RemoteConfigurationPrecisionMapping` | `getConfigurationPrecisionMapping()` get configuration for precision mapping
`RemoteConfigurationRMI` | `getConfigurationRMI()` get configuration for rmi server
`RemoteConfigurationService` | `getConfigurationService()` get Service Configurationthrows RemoteException;
`RemoteCustomFieldManager` | `getCustomFieldManager()` get the custom field manager
`boolean` | `isLocalRequest(java.lang.String sURL)` judge the request's URL is come form .

Method Detail

### isLocalRequest

    boolean isLocalRequest(java.lang.String sURL)
                           throws java.rmi.RemoteException

  judge the request's URL is come form .

  Parameters:
    `sURL` - url of request.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getConfigurationService

    RemoteConfigurationService getConfigurationService()
                                                       throws java.rmi.RemoteException

  get Service Configurationthrows RemoteException;

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getConfigurationMail

    RemoteConfigurationMail getConfigurationMail()
                                                 throws java.rmi.RemoteException

  get mail Configuration throws RemoteException;

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getConfigurationCache

    RemoteConfigurationCache getConfigurationCache()
                                                   throws java.rmi.RemoteException

  get cache Configurationthrows RemoteException;

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getConfigurationPerformance

    RemoteConfigurationPerformance getConfigurationPerformance()
                                                               throws java.rmi.RemoteException

  get Performance Configurationthrows RemoteException;

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getConfigurationAdvanced

    RemoteConfigurationAdvanced getConfigurationAdvanced()
                                                         throws java.rmi.RemoteException

  get Advanced Configurationthrows RemoteException;

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getConfigurationLog

    RemoteConfigurationLog getConfigurationLog()
                                               throws java.rmi.RemoteException

  get logo Configurationthrows RemoteException;

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getConfigurationLDAPServer

    RemoteConfigurationLDAPServer getConfigurationLDAPServer()
                                                             throws java.rmi.RemoteException

  get LDAP Server Configurationthrows RemoteException;

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getConfigurationLDAP

    RemoteConfigurationLDAP getConfigurationLDAP()
                                                 throws java.rmi.RemoteException

  get LDAP state Configurationthrows RemoteException;

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getConfigurationCluster

    RemoteConfigurationCluster getConfigurationCluster()
                                                       throws java.rmi.RemoteException

  get Configuration for clusterthrows RemoteException;

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getConfigurationFax

    RemoteConfigurationFax getConfigurationFax()
                                               throws java.rmi.RemoteException

  get configuration for fax

  Returns:
    ConfigurationFax
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getConfigurationRMI

    RemoteConfigurationRMI getConfigurationRMI()
                                               throws java.rmi.RemoteException

  get configuration for rmi server

  Returns:
    ConfigurationFax
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getConfigurationPrecisionMapping

    RemoteConfigurationPrecisionMapping getConfigurationPrecisionMapping()
                                                                         throws java.rmi.RemoteException

  get configuration for precision mapping

  Returns:
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getConfigurationAdhocUpload

    RemoteConfigurationAdhocUpload getConfigurationAdhocUpload()
                                                               throws java.rmi.RemoteException

  get configuration for Adhoc upload

  Returns:
    ConfigurationAdhocUpload
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getCustomFieldManager

    RemoteCustomFieldManager getCustomFieldManager()
                                                   throws java.rmi.RemoteException

  get the custom field manager

  Returns:
    custom field manager object
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.
  Since:
    version 9.1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD